package com.gree.mall.manager.bean.workorder;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.plus.entity.WebsitDispatch;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class WebsitDispatchVO    {

    @ZfireField(hide = true)
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    @ApiModelProperty(value = "省份")
    private String provinceName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "省id")
    private String provinceCode;

    @ApiModelProperty(value = "城市")
    private String cityName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "城市id")
    private String cityCode;

    @ApiModelProperty(value = "区域")
    private String areaName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "区域id")
    private String areaCode;

    @ApiModelProperty(value = "街道")
    private String streetName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "街道id")
    private String streetCode;

    @ApiModelProperty(value = "工单类型")
    private String orderSmallTypeText;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "工单类型id")
    private String orderSmallId;

    @ApiModelProperty(value = "产品大类")
    private String categoryName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品大类id")
    private String categoryId;

    @ApiModelProperty(value = "承接渠道")
    private String saleTypeName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "承接渠道id")
    private String saleTypeId;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;
//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户id")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

}
